

<div class="card mb-3">
  <div class="card-body text-primary">
    <h5 class="card-title">Listado de Proveedores</h5>
    <div class="my-2 text-right pull-right">
      <button class="btn btn-rounded btn-primary" type="button" [routerLink]="['/register']">
        Crear Proveedor
      </button>
    </div>
    <table class="table table-bordered table-striped">
      <thead>
        <tr>
          <th>id</th>
          <th>Nombre Proveedor </th>
          <th>Fecha Creacion</th>
          <th>Telefono</th>
          <th>Direccion</th>
          <th colspan="2"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let provider of providers">
          <td>{{provider.tp_id}}</td>
          <td>{{provider.tp_name}}</td>
          <td>{{provider.tp_date}}</td>
          <td>{{provider.tp_phone}}</td>
          <td>{{provider.tp_address}}</td>
          <td colspan="2" class="text-center">
            <button type="button" name="editar" class="btn btn-primary btn-sm rounded-circle" [routerLink]="['/edit', provider.tp_id]"><i class="fas fa-pencil-alt"></i></button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>